# This spec is in the SVN
# $Id: perl-RPM4.spec 141783 2007-03-12 14:05:45Z nanardon $

%define module	RPM4

%define rpm_version %(rpm -q --queryformat '%|EPOCH?{[%{EPOCH}:%{VERSION}]}:{%{VERSION}}|' rpm)

%{?perl_default_filter}

Name:		perl-%{module}
Version:	0.35
Release:	%mkrel 8
Summary:	Perl bindings to use rpmlib and manage hdlist files
License:	GPL
Group:		Development/Perl
Source:		%{module}-%{version}.tar.xz
Patch0:		fix-a-segv.patch
Url:		http://search.cpan.org/dist/RPM4/

BuildRequires:	perl-devel >= 5.8.0
BuildRequires:	pkgconfig(rpm) >= 4.12.90
BuildRequires:	perl-Digest-SHA1
BuildRequires:	librpmconstant-devel
BuildRequires:	packdrake
BuildRequires:	perl-MDV-Packdrakeng
BuildRequires:	gnupg

# we can now expect librpm API to be at least backward compatible
Requires:	rpm >= %{rpm_version}

%description
This module provides a perl interface to the rpmlib.

It allows to write scripts to:
  - query rpm headers,
  - query rpm database,
  - build rpm specs,
  - install/uninstall specfiles,
  - check dependencies.

It includes:
- rpm_produced, give what rpm will be produced by a src.rpm or a specfile.

%prep
%setup -q -n %{module}-%{version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
#PERL5DIR=`pwd`/src/blib/arch TMPDIR=/tmp %%make_build test

%install
%makeinstall_std

%files
%doc README
%doc examples
%_bindir/*
%{perl_vendorarch}/*
%{_mandir}/*/*




%changelog
* Wed May 11 2016 tv <tv> 0.35-8.mga6
+ Revision: 1013654
- patch 0: fix a segfault in testsuite
- use std build macros
- fix single %% in comment which break build when people alter macros

* Fri Feb 12 2016 umeabot <umeabot> 0.35-7.mga6
+ Revision: 957946
- Mageia 6 Mass Rebuild

* Sat Sep 05 2015 tv <tv> 0.35-6.mga6
+ Revision: 873131
- submit to core/release

* Sun Aug 23 2015 tv <tv> 0.35-5.mga6
+ Revision: 868445
- versionate rpm BR

* Sun Aug 23 2015 tv <tv> 0.35-4.mga6
+ Revision: 868196
- rebuild for rpm-4.13

* Sun Aug 16 2015 tv <tv> 0.35-3.mga6
+ Revision: 865095
- submit to core/release

* Sat Aug 01 2015 tv <tv> 0.35-2.mga6
+ Revision: 860401
- rebuild for rpm-4.13

* Sat Aug 01 2015 tv <tv> 0.35-1.mga6
+ Revision: 860392
- drop methods only supported in rpm < 4.9
- drop support for rpm > 4.9.0
- fix compiling with rpm-4.13
- rebuild for rpm-4.13

* Thu Jun 25 2015 tv <tv> 0.34-5.mga6
+ Revision: 843524
- rebuild for new libinput

* Tue Jun 23 2015 sander85 <sander85> 0.34-4.mga6
+ Revision: 840886
- Rebuild for perl 5.22

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

  + tv <tv>
    - new version (support RCs of rpm)

* Sun Sep 14 2014 tmb <tmb> 0.33-6.mga5
+ Revision: 675505
- handle -rc versioned rpm
- rebuild for new rpm

* Tue Jun 03 2014 tv <tv> 0.33-4.mga5
+ Revision: 632073
- rebuild for new perl
- rebuild for new perl

* Sat Oct 19 2013 umeabot <umeabot> 0.33-2.mga4
+ Revision: 525088
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 0.33-1.mga4
+ Revision: 431972
- new release

* Wed May 29 2013 tv <tv> 0.32-8.mga4
+ Revision: 431942
- patch 0: fix build
- rebuild for new perl

  + jquelin <jquelin>
    - perl 5.18.0 rebuild

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 tv <tv> 0.32-5.mga3
+ Revision: 332384
- rebuild for new rpm

* Tue Dec 18 2012 tv <tv> 0.32-4.mga3
+ Revision: 332361
- build with stable rpm

* Tue Dec 18 2012 tv <tv> 0.32-3.mga3
+ Revision: 332355
- rebuild for new rpm
- fix build with stable rpm

* Tue Dec 18 2012 tv <tv> 0.32-1.mga3
+ Revision: 332336
- drop support for repackage (not working anymore since rpm-4.6)
- fix parsing new rpm headers
- fix retrieving rpm version with beta versions
- fix segfaulting with rpm-4.11 retrieving RPMLOG_*
- fix srcrpm()
- fix --rpmversion (broken for 6+ years...)

* Mon Jun 25 2012 tv <tv> 0.31-1.mga3
+ Revision: 263639
- drop rpm5 functions: rpmsysinfodep, rpmgetconfdep, rpmcpuinfodep, rpmpipedep
  & rpmunamedep (unimplemented for 4 years...)
- new spec:
  o fix forcing 'noarch_check' & 'force' parameters
  o drop unused 'cookie', 'passphrase', 'rootdir' & 'verify' parameters (useless with rpm-4.9.x anyway)

* Fri Jun 15 2012 tv <tv> 0.30-1.mga3
+ Revision: 260896
- disable testsuite (works OK locally with iurt but not in BS
- functions that not are implemented since switching to rpm-4.6 now die
- internal cleanups
- srcrpm(): fix returning "...nosrc.rpm" instead of "...src.rpm" when needed
  (it always returned "...src.rpm" since rpm-4.9+)
- use rpm-4.6+ API, not rpm-4.4 compatibility one
  (fix some memleaks btw)
- functions that not are implemented since switching to rpm-4.6 now die
- use rpm-4.6+ API, not rpm-4.4 compatibility one
  (should fix some memleaks btw)
- reenable testsuite

* Sat Jun 09 2012 tv <tv> 0.28-1.mga3
+ Revision: 259020
- temporary disable testsuite (works OK locally)
- new version: fix build with new rpm-4.10.0
- new version: fix build with new rpm-4.10.0

* Wed May 30 2012 jquelin <jquelin> 0.27-3.mga3
+ Revision: 251091
- rebuild for perl 5.16

* Sat Apr 21 2012 tv <tv> 0.27-2.mga2
+ Revision: 232221
- no need to require perl

* Wed Dec 21 2011 tv <tv> 0.27-1.mga2
+ Revision: 185256
- make Spec->build works with rpm-4.9
- make initdb do all the needed work
- make traverse usefull again with rpm-4.9

* Wed Dec 21 2011 tv <tv> 0.26-1.mga2
+ Revision: 185219
- fix for a random segfault
- report script errors
- rebuild for new rpm

* Sun Dec 18 2011 tv <tv> 0.25-8.mga2
+ Revision: 183472
- higher release for rpm-4.9.x

* Thu Dec 15 2011 tv <tv> 0.25-6.mga2
+ Revision: 182296
+ rebuild (emptylog)

* Thu Dec 15 2011 tv <tv> 0.25-5.mga2
+ Revision: 182205
- patch 0: disable 3 tests with rpm-4.8
- disable tests segfaulting in rpmSpecBuild()
- disable tests using unimplemented functions regarding rpm-4.9
- disable 2 tests that fails with rpm-4.9
  (all functions needed by iurt & youri* pass the testsuite)
- implement more functions with rpm-4.9
- bump release

* Wed Nov 09 2011 tv <tv> 0.24-0.1.mga2
+ Revision: 165905
- no ChangeLog
- new release (merging patches)

* Tue Oct 18 2011 tv <tv> 0.23-15.mga2
+ Revision: 156425
- patch 2: drop support for rpm-4.4.x (too much ifdef/else/endif spaghetti
  and already broken since rpm-4.6 & rpm-4.8 support patches)
- Patch 3: declare 4.8.0 & 4.8.1 in order to make 4.9.x checks work
- Patch 4: initial rpm-4.9.x support

* Sun Jun 12 2011 sander85 <sander85> 0.23-14.mga2
+ Revision: 104940
- Rebuild for perl 5.14

* Sun Feb 27 2011 dmorgan <dmorgan> 0.23-13.mga1
+ Revision: 61301
- Add patch to build against new rpm 4.8
- Use pre-RPM5 spec file

  + nanardon <nanardon>
    - disable some test, it seems internal of rpm has changed and Spec struct is not clean anymore between two build() call

* Wed Jan 19 2011 jquelin <jquelin> 0.23-12.mga1
+ Revision: 23779
- rebuild

* Mon Jan 17 2011 nanardon <nanardon> 0.23-11.mga1
+ Revision: 20800
- kill useless dependency to packdrake (then kill a loop)

  + jquelin <jquelin>
    - imported package perl-RPM4

